%define upstream_name    Dist-Zilla-PluginBundle-Git-CheckFor
%define upstream_version 0.006

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Check that you're on the correct branch before release
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Capture::Tiny)
BuildRequires: perl(Dist::Zilla::Plugin::Git::NextVersion) >= 1.120.370
BuildRequires: perl(Dist::Zilla::Role::BeforeRelease)
BuildRequires: perl(Dist::Zilla::Role::Git::Repo)
BuildRequires: perl(Dist::Zilla::Role::PluginBundle::Easy)
BuildRequires: perl(Env::Path)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Temp)
BuildRequires: perl(File::chdir)
BuildRequires: perl(Git::Wrapper)
BuildRequires: perl(IPC::System::Simple)
BuildRequires: perl(List::MoreUtils)
BuildRequires: perl(List::Util)
BuildRequires: perl(Moose)
BuildRequires: perl(Moose::Autobox)
BuildRequires: perl(Moose::Role)
BuildRequires: perl(MooseX::AttributeShortcuts)
BuildRequires: perl(Path::Class)
BuildRequires: perl(Test::DZil)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::Moose::More) >= 0.8.0
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Test::Most)
BuildRequires: perl(Test::TempDir)
BuildRequires: perl(Try::Tiny)
BuildRequires: perl(autodie)
BuildRequires: perl(namespace::autoclean)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildRequires: git
BuildRequires: git-arch
BuildRequires: git-core
BuildRequires: git-core-oldies
BuildRequires: git-cvs
BuildRequires: perl-Git
BuildRequires: python
BuildRequires: git-email
BuildRequires: git-prompt
BuildRequires: git-svn
BuildRequires: gitk
BuildRequires: perl-Sort-Versions
BuildRequires: perl-Version-Next
BuildArch:  noarch

%description
This is a role that extends the Dist::Zilla::Role::Git::Repo manpage to
provide an additional private attribute. There's probably nothing here
you'd be terribly interested in.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

# Tests fail due to requiring git to be configured and other shenanigans.
# Skipping.
# %%check
# %%make test

%install
%makeinstall_std

%files
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml README SIGNATURE
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.6.0-2.mga3
+ Revision: 366657
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Nov 17 2012 shlomif <shlomif> 0.6.0-1.mga3
+ Revision: 319173
- update to 0.006

* Thu Oct 25 2012 shlomif <shlomif> 0.5.0-2.mga3
+ Revision: 310100
- Remove make check
- More BuildRequires
- Missing BRs
- Add missing BR
- imported package perl-Dist-Zilla-PluginBundle-Git-CheckFor

